ObjectIdCollection idCol = new ObjectIdCollection();
idCol.Add(acLyrTblRec.ObjectId);
LayoutManager LM = LayoutManager.Current;
string currentLo = LM.CurrentLayout;
DBDictionary LayoutDict = acTrans.GetObject(acCurDb.LayoutDictionaryId, OpenMode.ForRead) as DBDictionary;
Layout CurrentLo = acTrans.GetObject((ObjectId)LayoutDict[currentLo], OpenMode.ForRead) as Layout;
BlockTableRecord BlkTblRec = acTrans.GetObject(CurrentLo.BlockTableRecordId, OpenMode.ForRead) as BlockTableRecord;
foreach (ObjectId ID in BlkTblRec)
{
Viewport VP = acTrans.GetObject(ID, OpenMode.ForWrite) as Viewport;
if (VP != null)
{
VP.FreezeLayersInViewport(idCol.GetEnumerator());
}
}